Click or drag to resize

BrepCreateFromSweep Method (Curve, Curve, Boolean, Double)

Sweep1 function that fits a surface through a profile curve that define the surface cross-sections and one curve that defines a surface edge. ///

Namespace:  Rhino.Geometry
Assembly:  RhinoCommon (in RhinoCommon.dll)
Syntax
public static Brep[] CreateFromSweep(
	Curve rail,
	Curve shape,
	bool closed,
	double tolerance
)

Parameters

rail
Type: Rhino.GeometryCurve
Rail to sweep shapes along
shape
Type: Rhino.GeometryCurve
Shape curve
closed
Type: SystemBoolean
Only matters if shape is closed
tolerance
Type: SystemDouble
Tolerance for fitting surface and rails

Return Value

Type: Brep
Array of Brep sweep results
Remarks
If you are not producing the sweep results that you are after, then use the SweepOneRail class with options to generate the swept geometry.
Version Information

Rhino for Mac

Supported in: 5.4

Rhino for Windows

Supported in: 6.17
See Also